#
#
#

LIST(APPEND PANGOMODULES
    pango-arabic
    pango-basic
    pango-hangul
    pango-hebrew
    pango-indic
    pango-khmer
    pango-syriac
    pango-thai
    pango-tibetan
)

LIST(APPEND	pango-arabic-fc_SRC
	arabic/arabic-fc.c
	arabic/arabic-ot.c
)

LIST(APPEND	pango-arabic-lang_SRC
	arabic/arabic-lang.c
)	

LIST(APPEND	pango-basic-fc_SRC
	basic/basic-fc.c
)

LIST(APPEND	pango-hangul-fc_SRC
	hangul/hangul-fc.c
)

LIST(APPEND	pango-hebrew-fc_SRC
	hebrew/hebrew-fc.c
)

LIST(APPEND	pango-indic-fc_SRC
	indic/indic-fc.c
	indic/indic-ot-class-tables.c
	indic/indic-ot.c
	indic/mprefixups.c
)

LIST(APPEND	pango-indic-lang_SRC
	indic/indic-lang.c
)

LIST(APPEND	pango-khmer-fc_SRC
	khmer/khmer-fc.c
)

LIST(APPEND	pango-syriac-fc_SRC
	syriac/syriac-fc.c
	syriac/syriac-ot.c
)

LIST(APPEND	pango-thai-fc_SRC
	thai/thai-charprop.c
	thai/thai-shaper.c
)

LIST(APPEND	pango-thai-lang_SRC
	thai/thai-lang.c
)

LIST(APPEND	pango-tibetan-fc_SRC
	tibetan/tibetan-fc.c
)

#	-DG_LOG_DOMAIN=\"Pango\"	# pango

ADD_DEFINITIONS(
	-DHAVE_CONFIG_H 
	-DG_LOG_DOMAIN=\"Pango\" 
	-DPANGO_ENABLE_ENGINE 
	-DG_DISABLE_CAST_CHECKS 
	-pthread
	)
INCLUDE_DIRECTORIES(. ../ ../pango ${VA_FONTCONFIG_INCLUDE_DIR} ${VA_FREETYPE_INCLUDE_DIR})

VA_USE(GLIB)

SET(LIBRARY_OUTPUT_PATH ${VA_SWFDEC_BINARY_DIR}/lib/pango/modules)

ADD_LIBRARY(pango-basic-fc ${VA_LIBRARY_TYPE} ${pango-basic-fc_SRC})

TARGET_LINK_LIBRARIES(pango-basic-fc pango pangoft2)
SET_TARGET_PROPERTIES(pango-basic-fc PROPERTIES PREFIX "")
